// DlgCustom.cpp : Implementation file
//

#include "stdafx.h"
#include "ClouReaderDemo.h"
#include "ClouReaderDemoDlg.h"
#include "DlgCustom.h"
#include "afxdialogex.h"


// CDlgCustom Dialog box

IMPLEMENT_DYNAMIC(CDlgCustom, CDialogEx)

CDlgCustom::CDlgCustom(CWnd* pParent /*=NULL*/)
	: CDialogEx(CDlgCustom::IDD, pParent)
{
	m_trp = NULL;
}

CDlgCustom::~CDlgCustom()
{
}

void CDlgCustom::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_COMBO1, m_tidReadType);
	DDX_Control(pDX, IDC_EDIT1, m_tidLen);
	DDX_Control(pDX, IDC_EDIT3, m_userStart);
	DDX_Control(pDX, IDC_EDIT2, m_userLen);
	DDX_Control(pDX, IDC_EDIT5, m_targetStart);
	DDX_Control(pDX, IDC_EDIT4, m_targetLen);
	DDX_Control(pDX, IDC_COMBO2, m_matchType);
	DDX_Control(pDX, IDC_EDIT6, m_matchStart);
	DDX_Control(pDX, IDC_EDIT8, m_matchStr);
	DDX_Control(pDX, IDC_CHECK1, m_cTid);
	DDX_Control(pDX, IDC_CHECK2, m_cUser);
	DDX_Control(pDX, IDC_CHECK3, m_cTarget);
	DDX_Control(pDX, IDC_CHECK4, m_cMatch);
}


BEGIN_MESSAGE_MAP(CDlgCustom, CDialogEx)
	ON_BN_CLICKED(IDOK, &CDlgCustom::OnBnClickedOk)
END_MESSAGE_MAP()


// CDlgCustom Message handler


BOOL CDlgCustom::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:  Add additional initialization here
	m_tidReadType.AddString("Auto");
	m_tidReadType.AddString("Fixed");
	m_tidReadType.SelectString(0, "Auto");
	m_tidLen.SetWindowText("6");
	m_userStart.SetWindowText("0");
	m_userLen.SetWindowText("6");
	m_targetStart.SetWindowText("0");
	m_targetLen.SetWindowText("4");
	m_matchType.AddString("EPC");
	m_matchType.AddString("TID");
	m_matchType.AddString("User");
	m_matchType.SelectString(0, "EPC");
	m_matchStart.SetWindowText("0");
	m_matchStr.SetWindowText("");

	m_cTid.SetCheck(1);
	m_cUser.SetCheck(1);
	m_cTarget.SetCheck(1);
	m_cMatch.SetCheck(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	// Exception: the OCX property page should return FALSE
}


void CDlgCustom::OnBnClickedOk()
{
	// TODO: Add the control notification handler code here

	if (m_trp == NULL)
		return;

	m_trp->tid = m_cTid.GetCheck();
	m_trp->user = m_cUser.GetCheck();
	m_trp->target = m_cTarget.GetCheck();
	m_trp->match = m_cMatch.GetCheck();

	CString tmp;
	m_tidReadType.GetWindowText(tmp);
	if (tmp == "Auto")
		m_trp->TIDReadType = 0;
	else
		m_trp->TIDReadType = 1;
	m_tidLen.GetWindowText(tmp);
	m_trp->TIDReadLen = atoi(tmp);
	m_userStart.GetWindowText(tmp);
	m_trp->UserStart = atoi(tmp);
	m_userLen.GetWindowText(tmp);
	m_trp->UserLen = atoi(tmp);
	m_targetStart.GetWindowText(tmp);
	m_trp->TargetStart = atoi(tmp);
	m_targetLen.GetWindowText(tmp);
	m_trp->TargetLen = atoi(tmp);
	m_matchType.GetWindowText(tmp);
	if (tmp == "EPC")
		m_trp->matchType = 1;
	else if (tmp == "TID")
		m_trp->matchType = 2;
	else
		m_trp->matchType = 3;
	m_matchStart.GetWindowText(tmp);
	m_trp->matchStart = atoi(tmp);
	m_matchStr.GetWindowText(m_trp->matchStr);

	CDialogEx::OnOK();
}
